;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
;+
; NAME: inv_mask.pro
;
; PURPOSE: Puts 0 where mask is equal to 1 and vice versa
;
; CATEGORY: Function
;
; CALLING SEQUENCE: inv_mask, mask
;
; INPUTS: 
;          mask : mask field composed of 0 and 1 values	 
;
; KEYWORD PARAMETERS: None
;
; OUTPUTS: 
;          mask : mask field composed of 0 and 1 values 
;                 inverted 
;
; COMMON BLOCKS: None
;
; SIDE EFFECTS: 
;
; RESTRICTIONS:
;
; EXAMPLE:
;
; MODIFICATION HISTORY: 11/99 A. Jouzeau
;
;-
;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
FUNCTION inv_mask, mask
printf, 40, ''
printf, 40, 'Entering inv_mask'
z = mask
stop
zero = where(mask EQ 0)
one = where(mask EQ 1)
z[zero] = 1
z[one] = 0
printf, 40, ''
printf, 40, 'Inversion done'
return, z
END 
