;------------------------------------------------------------
; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
;			26/5/98
; pris le 25 janvier 99 par Maurice Imbard
;------------------------------------------------------------
; appelle de l''aide en ligne
;------------------------------------------------------------
?
;------------------------------------------------------------
;------------------------------------------------------------
@common
;------------------------------------------------------------
;----------------------------------------------------------
;----------------------------------------------------------
; bornes de la grille
;----------------------------------------------------------
ixminmesh  =2
ixmaxmesh  =181
;
iyminmesh  =0
iymaxmesh  =147
;
izminmesh  =0
izmaxmesh  =30
;
jptmax = 300
time = lonarr(jptmax)
;----------------------------------------------------------
; bornes pour la lecture des donnees
;----------------------------------------------------------
;
;--------------------------------------------------------
;   definition par defaut du fichier que l''on traite
;------------------------------------------------------
year=1
month=12
day=31
niveau=1

;
iodir = '/workdir/rech/cli/rcli007/'
prefix='ST0'
;
vargrid = 'T'
varname = ' '
vardate= '0'
varexp = ' '
varunit = ' '
;
;-------------------------------------------------------
; lecture de la grille
;------------------------------------------------------
ncdf_meshlec, 'meshmask.nc'
; longitutes in [20,380]
isign=where(glamt gt 380.)
glamt(isign) = glamt(isign)-360.
isign=where(glamu gt 380.)
glamu(isign) = glamu(isign)-360.
isign=where(glamv gt 380.)
glamv(isign) = glamv(isign)-360.
isign=where(glamf gt 380.)
glamf(isign) = glamf(isign)-360.
delvar, isign
; correction de la position de certains points
; t
glamt[170:176, 94] = glamt[170:176, 93]
gphit[170:176, 94] = gphit[179, 94]
glamt[179, 98:102] = glamt[178, 100]+1
gphit[179, 98:102] = gphit[178, 98:102]
; u
glamu[170:176, 94] = glamu[170:176, 93]
gphiu[170:176, 94] = gphiu[179, 94]
glamu[179, 98:102] = glamu[178, 100]+1
gphiu[179, 98:102] = gphiu[178, 98:102]
; v
glamv[170:176, 94] = glamv[170:176, 93]
gphiv[170:176, 94] = gphiv[179, 94]
glamv[179, 98:102] = glamv[178, 100]+1
gphiv[179, 98:102] = gphiv[178, 98:102]
; f
glamf[170:176, 94] = glamf[170:176, 93]
gphif[170:176, 94] = gphif[179, 94]
glamf[179, 98:102] = glamf[178, 100]+1
gphif[179, 98:102] = gphif[178, 98:102]
; shift de la grille pour qu''elle soit en grande partie comprise
; entre 20 et 380.
key_shift = 31
glamt = shift(glamt,key_shift , 0)
gphit = shift(gphit,key_shift , 0)
e1t = shift(e1t, key_shift, 0)
e2t = shift(e2t,key_shift , 0)
glamu = shift(glamu, key_shift, 0)
gphiu = shift(gphiu, key_shift, 0)
e1u = shift(e1u,key_shift , 0)
e2u = shift(e2u, key_shift, 0)
glamv = shift(glamv, key_shift, 0)
gphiv = shift(gphiv, key_shift, 0)
e1v = shift(e1v,key_shift , 0)
e2v = shift(e2v, key_shift, 0)
glamf = shift(glamf, key_shift, 0)
gphif = shift(gphif, key_shift, 0)
e1f = shift(e1f, key_shift , 0)
e2f = shift(e2f, key_shift, 0)
tmask = shift(tmask, key_shift, 0,0)


;-------------------------------------------------------------
;irregularmask
;-------------------------------------------------------------
domdef

key_periodique = 1
triangles = triangule()

;----------------------------------------------------------
; directories
;----------------------------------------------------------
; spawn,'echo $home',homedir
; homedir = homedir[0]+'/'
; spawn,'echo $workdir',workdir
; workdir = workdir[0]+'/'
; spawn,'echo $tmpdir',tmpdir
; tmpdir = tmpdir[0]+'/'
;----------------------------------------------------------
; environnement graphique (window et ps)
;----------------------------------------------------------
window, colors=100 & wdelete
if !d.n_colors gt 256 then device,  decomposed = 0 $
ELSE device, pseudo_color=8
loadct,39
c_lab=0
c_cote=0
c_cont = (!d.n_colors-1) < 255
tvlct, rouge,vert,bleu, /get
coefpalit=.3
key_portrait = 0
!except = 2
;----------------------------------------------------------
grandfeuille = 29.7
petitfeuille = 21.
;----------------------------------------------------------
;----------------------------------------------------------
sauveps = 0


